Skip to main content
PATCH
Update a Price Adjustment

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

price_adjustment_id
string
required

The ID of the price adjustment

Body

application/json

Changes the shared fields, optionally with one percentage for every type turned on in applies_to. percentage and applies_to are deprecated, use the per-type option with percentages. Cannot be combined with percentages.

effective_from

Date to re-resolve the adjustment date from. The adjustment fires on the first renewal date on or after this date. A calendar date in the operator's timezone. Use next_billing_period for the next renewal date.

notification
object

How the contact is notified of the price adjustment before it is applied. When omitted, the notice period is unchanged.

percentage
number
deprecated

Deprecated, use percentages. One percentage change for every applied type. Negative values are a decrease. Must be non-zero and greater than -100.

applies_to
object
deprecated

Deprecated, use percentages. Which of the subscription's line item kinds the adjustment applies to. Omitted options are unchanged. At least one must be true to schedule the adjustment.

Response

price adjustment successfully updated

Single Price Adjustment

price_adjustment
object

Price Adjustment

meta
object